Amazon Pinpoint
Developer Guide

AWS SDK Support for Amazon Pinpoint

One of the easiest ways to interact with the Amazon Pinpoint API is to use an AWS SDK. The following AWS SDKs include support for Amazon Pinpoint API operations:

You can also interact with the Amazon Pinpoint API by using version 1.11.24 or later of the AWS Command Line Interface (AWS CLI). The AWS CLI requires Python 2.6.5 or later, or Python 3.3 or later. For more information about installing and configuring the AWS CLI, see Installing the AWS Command Line Interface in the AWS Command Line Interface User Guide.

Note

The version numbers shown in this section are the first versions of each SDK or CLI that included support for the Amazon Pinpoint API. New resources or operations are occasionally added to the Amazon Pinpoint API. In order to use all of the features of Amazon Pinpoint through the API, ensure that you're using the latest version of the SDK or CLI.

Regional Availability

Amazon Pinpoint is available in the US East (N. Virginia) and EU (Ireland) AWS Regions. For a list of Amazon Pinpoint endpoint URLs, see the Amazon Pinpoint API Reference.

On this page: